import  GC from '@grapecity/spread-sheets';
import "@grapecity/spread-sheets-print";
import "@grapecity/spread-sheets-shapes";
import "@grapecity/spread-sheets-slicers";
import "@grapecity/spread-sheets-pivot-addon";
import "@grapecity/spread-sheets-tablesheet";
import "@grapecity/spread-sheets-ganttsheet";
import "@grapecity/spread-sheets-reportsheet-addon";
import "@grapecity/spread-sheets-formula-panel";
import "@grapecity/spread-sheets-io";
import '@grapecity/spread-sheets-designer-resources-en';
import '@grapecity/spread-sheets-designer';
import {Designer} from '@grapecity/spread-sheets-designer-react';
import "@grapecity/spread-sheets-designer/styles/gc.spread.sheets.designer.min.css"
import "@grapecity/spread-sheets/styles/gc.spread.sheets.excel2013white.css"
import './App.css';

function App() {
  const designerConfig = () => {
    const designer = (GC as any).Spread.Sheets.Designer;
    const config = designer.ToolBarModeConfig;

    config.ribbon.ribbonHeight = 80;

    return config;
  };
  function initDesigner(designer: any) {
    const spread: GC.Spread.Sheets.Workbook = designer.getWorkbook();

    // debugging
    (window as any)["GC"] = GC;
    (window as any)["spread"] = spread
  }
  return (
    <div className="sample-tutorial">
      <div className="sample-spreadsheets">
      <Designer styleInfo = {{width: "100%", height: '98vh'}} config={designerConfig()}  spreadOptions = {{sheetCount: 2}} designerInitialized={(designer: any) => initDesigner(designer)}></Designer>
      </div>
      <div className="options-container">
      </div>
    </div>
  )
}

export default App;
